# Trait bitflags::__core::os::ext::prelude::OsStrExt [−] [src]

    pub trait OsStrExt {
        fn from_bytes(slice: &[u8]) -> &Self;
        fn as_bytes(&self) -> &[u8];
    }

Unix-specific extensions to `OsStr`.

## Required Methods

### `fn from_bytes(slice: &[u8]) -> &Self`

### `fn as_bytes(&self) -> &[u8]`

Gets the underlying byte view of the `OsStr` slice.

## Implementors

- `impl OsStrExt for OsStr`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)